明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1646|回复: 2

[求助]怎样获得一个选择集中点的坐标

[复制链接]
发表于 2004-5-8 00:24:00 | 显示全部楼层 |阅读模式
请问,我有一个选择集,里面全部为点,怎样才能获得它们的坐标呢(遍历选择集后,用哪个属性呢)?


谢谢!
发表于 2004-5-8 07:26:00 | 显示全部楼层
使用Coordinates属性来获取:
  1. Sub GetPointCoor()       Dim ss As AcadSelectionSet
  2.        On Error Resume Next
  3.        ThisDrawing.SelectionSets("mccad").Delete
  4.        Set ss = ThisDrawing.SelectionSets.Add("mccad")
  5.        ss.Select acSelectionSetAll
  6.       
  7.        Dim ent As AcadEntity
  8.        Dim pnt As AcadPoint
  9.        Dim pntcoor As Variant
  10.        Dim txt As String
  11.       
  12.        For Each ent In ss
  13.                If ent.ObjectName = "AcDbPoint" Then
  14.                        Set pnt = ent
  15.                        pntcoor = pnt.Coordinates
  16.                        txt = txt & pntcoor(0) & "," & pntcoor(1) & "," & pntcoor(2) & vbCr
  17.                End If
  18.        Next
  19.       
  20.        MsgBox txt, , "明经通道VBA示例http://www.mjtd.com"
  21.       
  22. End Sub
回复 支持 1 反对 0

使用道具 举报

 楼主| 发表于 2004-5-8 20:27:00 | 显示全部楼层
知道了,多谢!

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 06:35 , Processed in 0.150669 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表